View Issue Details

IDProjectCategoryView StatusLast Update
0004502Talermechant backendpublic2016-10-11 17:28
ReporterMarcello StanisciAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.1Fixed in Version0.1 
Summary0004502: tracking wire transfers
Descriptionthe backend will use the exchange's API aimed to associate wire transfers with deposit of coins
TagsNo tags attached.

Relationships

related to 0004160 closedChristian Grothoff it should be possible to query the payment status of a contract by transaction id 

Activities

Marcello Stanisci

2016-05-18 11:06

manager   ~0010685

starting with testcase of it

Marcello Stanisci

2016-05-30 14:25

manager   ~0010778

/track/deposit skeleton added to backend, and testcase correctly calling it.
todo: add /track/deposit logic and /track/wtid function to backend

Christian Grothoff

2016-06-09 16:05

manager   ~0010881

/track/deposit is now called in the testcase, but we need to
1) check the signature in the backendlib
2) revise the API to see what information to pass back to applications
3) extend the testcase to check that information
4) reconsider passing the /track/deposit stuff as part of the URI in the backend
5) figure out how the merchant is supposed to learn the exchange URI.

Christian Grothoff

2016-06-10 02:42

manager   ~0010886

Rudimentary testcase for /track/transfer (renamed!) passes as of 18d70cf..eeb8703

Still has a few FIXME/TODOs in the implementation, this only tests the main 200-logic.

As for note 10881:
(1) makes no sense, we trust our backend (after all, we are offloading the crypto there!)

(2) may need to be looked at again for distinguishing error codes from backend vs. error codes from exchange.

(3) is done, but errors are not covered;

(4/5) are done, but we may want to escape the exchange URI we were given

Christian Grothoff

2016-06-11 20:09

manager   ~0010893

(2/3) now better with respect to error codes.

Might still want to pass execution date of wire transfer if available.

Christian Grothoff

2016-06-11 20:26

manager   ~0010894

Should be fine now.

Issue History

Date Modified Username Field Change
2016-05-18 11:05 Marcello Stanisci New Issue
2016-05-18 11:05 Marcello Stanisci Status new => assigned
2016-05-18 11:05 Marcello Stanisci Assigned To => Marcello Stanisci
2016-05-18 11:06 Marcello Stanisci Note Added: 0010685
2016-05-18 18:01 Christian Grothoff Severity minor => feature
2016-05-18 18:01 Christian Grothoff Product Version => 0.0
2016-05-18 18:01 Christian Grothoff Target Version => 0.1
2016-05-30 14:25 Marcello Stanisci Note Added: 0010778
2016-05-31 09:53 Christian Grothoff Assigned To Marcello Stanisci => Christian Grothoff
2016-05-31 19:10 Christian Grothoff Relationship added related to 0004160
2016-06-09 16:05 Christian Grothoff Note Added: 0010881
2016-06-10 02:42 Christian Grothoff Note Added: 0010886
2016-06-11 20:09 Christian Grothoff Note Added: 0010893
2016-06-11 20:26 Christian Grothoff Note Added: 0010894
2016-06-11 20:26 Christian Grothoff Status assigned => resolved
2016-06-11 20:26 Christian Grothoff Fixed in Version => 0.1
2016-06-11 20:26 Christian Grothoff Resolution open => fixed
2016-10-11 17:28 Christian Grothoff Status resolved => closed